# Method: projects.locations.securityGateways.applications.create

- [HTTP request](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.securityGateways.applications/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.securityGateways.applications/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.securityGateways.applications/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.securityGateways.applications/create#body.request_body)
- [Response body](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.securityGateways.applications/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.securityGateways.applications/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.securityGateways.applications/create#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.securityGateways.applications/create#try-it)

Creates a new Application in a given project and location.

### HTTP request

`POST https://beyondcorp.googleapis.com/v1/{parent=projects/*/locations/*/securityGateways/*}/applications`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent SecurityGateway using the form: `projects/{projectId}/locations/global/securityGateways/{securityGatewayId}` |

### Query parameters

| Parameters ||
|---|---|
| `applicationId` | `string` Optional. User-settable Application resource ID. \* Must start with a letter. \* Must contain between 4-63 characters from `/[a-z][0-9]-/`. \* Must end with a number or letter. |
| `requestId` | `string` Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.securityGateways.applications#Application`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/organizations.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `beyondcorp.sgApplications.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).